# na_elementsw_vlan – NetApp Element Software Manage VLAN

New in version 2.7.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Create, delete, modify VLAN

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1
- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
address_blocks - |  | List of address blocks for the VLAN Each address block contains the starting IP address and size for the block Required for create
attributes - |  | Dictionary of attributes with name and value for each attribute
gateway - |  | Gateway for the VLAN
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
name - |  | User defined name for the new VLAN Name of the vlan is unique Required for create

namespace
boolean

Choices:
- no
- yes

Enable or disable namespaces

netmask - |  | Netmask for the VLAN Required for create
password - / required |  | Password for the specified user. aliases: pass

state
-

Choices:
- present ←
- absent

Whether the specified vlan should exist or not.

svip - |  | Storage virtual IP which is unique Required for create
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user
vlan_tag - / required |  | Virtual Network Tag

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Create vlan
      na_elementsw_vlan:
        state: present
        name: test
        vlan_tag: 1
        svip: "{{ ip address }}"
        netmask: "{{ netmask }}"
        address_blocks:
          - start: "{{ starting ip_address }}"
            size: 5
          - start: "{{ starting ip_address }}"
            size: 5
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"

    - name: Delete Lun
      na_elementsw_vlan:
        state: absent
        vlan_tag: 1
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.